Skip to content

List off-ramps

GET
/v1/off-ramps/

Returns a paginated list of off-ramp payments for the authenticated user.

Filtering:

  • status: Filter by payment status
  • network: Filter by payment network
  • accountId: Filter by destination account ID

Sorting:

  • sort=desc (default): Newest first
  • sort=asc: Oldest first

Pagination: Use cursor-based pagination with the cursor parameter.

limit
Any of:
string format: numeric
0
cursor

Opaque cursor for pagination. Use the nextCursor value from the previous response.

string
status
string
Allowed values: awaiting_funding queued in_flight completed canceled failed reversed refunded
chain
string
Allowed values: ethereum polygon arbitrum base optimism avalanche binance-smart-chain solana bitcoin dash tron sui hyperevm monad sonic unichain
accountId

Filter by destination account ID

string
sort
string
Allowed values: desc asc

Response for status 200

object
data
required
Array<object>
object
id
required

Unique off-ramp identifier

string
status
required
string
Allowed values: awaiting_funding queued in_flight completed canceled failed reversed refunded
createdAt
required
string format: date-time
payout
required
object
amount
required

Offramp amount

string
currency
required

Offramp currency code

string
accountId
required

Destination account ID

string
chain
required
string
Allowed values: ethereum polygon arbitrum base optimism avalanche binance-smart-chain solana bitcoin dash tron sui hyperevm monad sonic unichain
fees
object
amount
required

Fee amount

string
currency
required

Fee currency code

string
paymentAsset
object
amount
required

Asset amount

string
token
required

Asset symbol

string
transaction
object
hash
required
Any of:

Blockchain transaction hash

string
explorerUrl
required
Any of:

Block explorer transaction URL

string
hasMore
required

Whether there are more results

boolean
nextCursor

Cursor for fetching the next page

string

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string